OpenAPI SpecificationJSON
API Reference

Organization Group

Organization group object represents coupling among organizations.

Organization group

Attribute
Type
Description
id
read-only
integer

ID of the organization group.

name
string

Name of the organization group.

is_trial
read-only
boolean

Property indicates whether this license is a trial license.

is_production
read-only
boolean

Property indicates whether this licence is a production licence.

deployment_location
read-only
string

Deployment location identifier.

features
deprecatedread-only
object | null

Use the /features endpoint instead. Enabled features (for internal use only).

usage
read-only
object

Enabled priced features (for internal use only).

modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

List organization groups

GET api / v1 / organization_groups

Retrieve all organization group objects. Typically, there would only be one result.

GET
/api/v1/organization_groups
curl -X GET "https://example.rossum.app/api/v1/organization_groups"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 42,
      "name": "Rossum group",
      "is_trial": false,
      "is_production": true,
      "deployment_location": "prod-eu",
      "features": null,
      "usage": {},
      "modified_by": "https://example.rossum.app/api/v1/users/10775",
      "modified_at": "2021-04-26T10:08:03.856648Z"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id
read-only
integer

ID of the organization group.

name
string

Name of the organization group.

is_trial
read-only
boolean

Property indicates whether this license is a trial license.

is_production
read-only
boolean

Property indicates whether this licence is a production licence.

deployment_location
read-only
string

Deployment location identifier.

features
deprecatedread-only
object | null

Use the /features endpoint instead. Enabled features (for internal use only).

usage
read-only
object

Enabled priced features (for internal use only).

modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization group

GET api / v1 / organization_groups / {organizationGroupID}

Get an organization group object.

GET
/api/v1/organization_groups/{organizationGroupID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0"
{
  "id": 42,
  "name": "Rossum group",
  "is_trial": false,
  "is_production": true,
  "deployment_location": "prod-eu",
  "features": null,
  "usage": {},
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the organization group.

name
string

Name of the organization group.

is_trial
read-only
boolean

Property indicates whether this license is a trial license.

is_production
read-only
boolean

Property indicates whether this licence is a production licence.

deployment_location
read-only
string

Deployment location identifier.

features
deprecatedread-only
object | null

Use the /features endpoint instead. Enabled features (for internal use only).

usage
read-only
object

Enabled priced features (for internal use only).

modified_by
read-only
URL

User that last modified the object.

modified_at
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Export organization group billing history

GET api / v1 / organization_groups / {organizationGroupID} / billing_history / export

Download the data provided by the billing history response resource in a CSV output.

GET
/api/v1/organization_groups/{organizationGroupID}/billing_history/export
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/billing_history/export"
"begin_date,end_date,purchased_pages,billable_pages,non_billable_pages,purchased_documents,billable_documents,non_billable_documents,extracted_pages_with_learning,extracted_pages_without_learning,split_pages_with_learning,split_pages_without_learning,extracted_documents_with_learning,extracted_documents_without_learning,split_documents_with_learning,split_documents_without_learning,ocr_only_pages,ocr_only_documents,purchased_extracted_pages_with_learning,purchased_extracted_pages_without_learning,purchased_split_pages_with_learning,purchased_split_pages_without_learning,purchased_extracted_documents_with_learning,purchased_extracted_documents_without_learning,purchased_split_documents_with_learning,purchased_split_documents_without_learning,purchased_ocr_only_pages,purchased_ocr_only_documents\n2021-01-01,2022-12-31,555,34735,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n2020-01-01,2021-12-31,0,0,0,111,10209,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

responsestring
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Export organization group billing stats

POST api / v1 / organization_groups / {organizationGroupID} / billing_stats / export

Download the data provided by the billing stats response resource in a CSV output.

POST
/api/v1/organization_groups/{organizationGroupID}/billing_stats/export
curl -X POST "https://example.rossum.app/api/v1/organization_groups/0/billing_stats/export" \  -H "Content-Type: application/json" \  -d '{}'
"begin_date,end_date,billable_pages,non_billable_pages,billable_documents,non_billable_documents\n2021-10-01,2021-10-31,27,0,32,0\n2021-11-01,2021-11-30,159,0,147,9\n2021-12-01,2021-12-31,41,0,20,0\n"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
filters
object

Filters used for the computation of billed items counts.

queues
list[URL]

Filter billed items for the specified queues (or null for historically deleted queues) to be counted in the report.

begin_date
string (date)

Filter billed items that was issued since the specified date (including the specified date) to be counted to the report.

end_date
string (date)

Filter billed items that was issued up to the specified date (including the specified date) to be counted to the report.

organizations
list[URL]

Filter billed items for the specified organizations to be counted in the report. (Only available for organization groups)

group_by
list["organization" | "queue" | "month" | "week"]

List of attributes by which the results are to be grouped. Only a single value is supported. Note that 'organization' is only available for organization groups.

order_by
list["billable_pages" | "billable_documents" | "non_billable_pages" | "non_billable_documents"]

List of attributes by which the results are to be ordered.

Response

200OK

OK

responsestring
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

List organization group organizations

GET api / v1 / organization_groups / {organizationGroupID} / organizations

Get organizations for an organization group object. Returned objects contain subset of organization attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/organizations
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/organizations"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 321,
      "url": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321",
      "name": "East West Trading Co"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[membership_organization]
id
integer

ID of the organization.

url
URL

Membership URL of the organization.

name
string

Name of the organization (not visible in UI).

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

List organization group queues

GET api / v1 / organization_groups / {organizationGroupID} / queues

Get queues for an organization group object. Returned objects contain subset of queue attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/queues
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/queues"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 654,
      "url": "https://example.rossum.app/api/v1/organization_groups/42/queues/654",
      "name": "Received invoices",
      "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321",
      "workspace": "https://example.rossum.app/api/v1/organization_groups/42/workspaces/12"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[membership_queue]
id
integer

ID of the queue.

url
URL

Membership URL of the queue.

name
string

Name of the queue.

organization
URL

Membership URL of the organization.

workspace
URL

Membership URL of the workspace.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

List organization group users

GET api / v1 / organization_groups / {organizationGroupID} / users

Get users for an organization group object. Returned objects contain subset of user attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/users
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/users"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 123456,
      "url": "https://example.rossum.app/api/v1/organization_groups/42/users/123456",
      "email": "john-doe@east-west-trading.com",
      "username": "JohnDoe",
      "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[membership_user]
id
integer

ID of the user.

url
URL

Membership URL of the user.

email
string (email)

Email of the user.

username
string

Username of a user.

organization
URL

Related organization.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

List organization group workspaces

GET api / v1 / organization_groups / {organizationGroupID} / workspaces

Get workspaces for an organization group object. Returned objects contain subset of workspace attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/workspaces
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/workspaces"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 345,
      "url": "https://example.rossum.app/api/v1/organization_groups/42/workspaces/345",
      "name": "East West Trading Co",
      "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/123",
      "queues": [
        "https://example.rossum.app/api/v1/organization_groups/42/queues/1",
        "https://example.rossum.app/api/v1/organization_groups/42/queues/2"
      ]
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[membership_workspace]
id
integer

ID of the workspace.

url
URL

Membership URL of the workspace.

name
string

Name of the workspace.

organization
URL

Membership URL of the organization.

queues
list[URL]

Membership URLs of the queues.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization

GET api / v1 / organization_groups / {organizationGroupID} / organizations / {organizationID}

Get organization for an organization group object. Returned object contains subset of organization attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/organizations/{organizationID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/organizations/406"
{
  "id": 321,
  "url": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321",
  "name": "East West Trading Co"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
integer

ID of the organization.

url
URL

Membership URL of the organization.

name
string

Name of the organization (not visible in UI).

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization billing history group

GET api / v1 / organization_groups / {organizationGroupID} / billing_history

Retrieve billing history with entries corresponding to individual contracted periods. The value purchased_documents or purchased_pages define the period billing unit.

GET
/api/v1/organization_groups/{organizationGroupID}/billing_history
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/billing_history"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "begin_date": "2021-01-01",
      "end_date": "2022-12-31",
      "organization_group": "string",
      "values": {
        "billable_documents": 32,
        "billable_pages": 27,
        "non_billable_documents": 0,
        "non_billable_pages": 0,
        "purchased_documents": 0,
        "purchased_pages": 555,
        "extracted_pages_with_learning": 0,
        "extracted_pages_without_learning": 0,
        "split_pages_with_learning": 0,
        "split_pages_without_learning": 0,
        "extracted_documents_with_learning": 0,
        "extracted_documents_without_learning": 0,
        "split_documents_with_learning": 0,
        "split_documents_without_learning": 0,
        "ocr_only_pages": 0,
        "ocr_only_documents": 0,
        "purchased_extracted_pages_with_learning": 0,
        "purchased_extracted_pages_without_learning": 0,
        "purchased_split_pages_with_learning": 0,
        "purchased_split_pages_without_learning": 0,
        "purchased_extracted_documents_with_learning": 0,
        "purchased_extracted_documents_without_learning": 0,
        "purchased_split_documents_with_learning": 0,
        "purchased_split_documents_without_learning": 0,
        "purchased_ocr_only_pages": 0,
        "purchased_ocr_only_documents": 0,
        "is_current": true
      }
    }
  ],
  "totals": {
    "billable_documents": 32,
    "billable_pages": 27,
    "non_billable_documents": 0,
    "non_billable_pages": 0,
    "purchased_documents": 0,
    "purchased_pages": 555,
    "extracted_pages_with_learning": 0,
    "extracted_pages_without_learning": 0,
    "split_pages_with_learning": 0,
    "split_pages_without_learning": 0,
    "extracted_documents_with_learning": 0,
    "extracted_documents_without_learning": 0,
    "split_documents_with_learning": 0,
    "split_documents_without_learning": 0,
    "ocr_only_pages": 0,
    "ocr_only_documents": 0,
    "purchased_extracted_pages_with_learning": 0,
    "purchased_extracted_pages_without_learning": 0,
    "purchased_split_pages_with_learning": 0,
    "purchased_split_pages_without_learning": 0,
    "purchased_extracted_documents_with_learning": 0,
    "purchased_extracted_documents_without_learning": 0,
    "purchased_split_documents_with_learning": 0,
    "purchased_split_documents_without_learning": 0,
    "purchased_ocr_only_pages": 0,
    "purchased_ocr_only_documents": 0
  },
  "updated_at": "2022-09-01"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[object]
begin_date
string (date)

Begin date of the billing period.

end_date
string (date)

End date of the billing period.

organization_group
URL

Organization group URL. (Only present for organization groups)

values
object

Billing values for a specific period or grouping.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

is_current
boolean

Whether this is the current billing period.

totals
billing_history_totals

Total billing values across all periods or groupings.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

updated_at
string (date)

Date when the billing history was last updated.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization billing stats group

POST api / v1 / organization_groups / {organizationGroupID} / billing_stats

Download billing stats report for an organization group.

Limitations:

  • filter.queues can only be used when filter.organizations contains a single organization
  • filter.queues cannot be used for group_by=organization
POST
/api/v1/organization_groups/{organizationGroupID}/billing_stats
curl -X POST "https://example.rossum.app/api/v1/organization_groups/0/billing_stats" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "begin_date": "2021-01-01",
      "end_date": "2022-12-31",
      "organization": "https://example.rossum.app/api/v1/organizations/406",
      "organization_group": "string",
      "queue": "https://example.rossum.app/api/v1/queues/8199",
      "values": {
        "billable_documents": 32,
        "billable_pages": 27,
        "non_billable_documents": 0,
        "non_billable_pages": 0,
        "purchased_documents": 0,
        "purchased_pages": 555,
        "extracted_pages_with_learning": 0,
        "extracted_pages_without_learning": 0,
        "split_pages_with_learning": 0,
        "split_pages_without_learning": 0,
        "extracted_documents_with_learning": 0,
        "extracted_documents_without_learning": 0,
        "split_documents_with_learning": 0,
        "split_documents_without_learning": 0,
        "ocr_only_pages": 0,
        "ocr_only_documents": 0,
        "purchased_extracted_pages_with_learning": 0,
        "purchased_extracted_pages_without_learning": 0,
        "purchased_split_pages_with_learning": 0,
        "purchased_split_pages_without_learning": 0,
        "purchased_extracted_documents_with_learning": 0,
        "purchased_extracted_documents_without_learning": 0,
        "purchased_split_documents_with_learning": 0,
        "purchased_split_documents_without_learning": 0,
        "purchased_ocr_only_pages": 0,
        "purchased_ocr_only_documents": 0,
        "is_current": true
      }
    }
  ],
  "totals": {
    "billable_documents": 32,
    "billable_pages": 27,
    "non_billable_documents": 0,
    "non_billable_pages": 0,
    "purchased_documents": 0,
    "purchased_pages": 555,
    "extracted_pages_with_learning": 0,
    "extracted_pages_without_learning": 0,
    "split_pages_with_learning": 0,
    "split_pages_without_learning": 0,
    "extracted_documents_with_learning": 0,
    "extracted_documents_without_learning": 0,
    "split_documents_with_learning": 0,
    "split_documents_without_learning": 0,
    "ocr_only_pages": 0,
    "ocr_only_documents": 0,
    "purchased_extracted_pages_with_learning": 0,
    "purchased_extracted_pages_without_learning": 0,
    "purchased_split_pages_with_learning": 0,
    "purchased_split_pages_without_learning": 0,
    "purchased_extracted_documents_with_learning": 0,
    "purchased_extracted_documents_without_learning": 0,
    "purchased_split_documents_with_learning": 0,
    "purchased_split_documents_without_learning": 0,
    "purchased_ocr_only_pages": 0,
    "purchased_ocr_only_documents": 0
  },
  "updated_at": "2022-09-01"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
filters
object

Filters used for the computation of billed items counts.

queues
list[URL]

Filter billed items for the specified queues (or null for historically deleted queues) to be counted in the report.

begin_date
string (date)

Filter billed items that was issued since the specified date (including the specified date) to be counted to the report.

end_date
string (date)

Filter billed items that was issued up to the specified date (including the specified date) to be counted to the report.

organizations
list[URL]

Filter billed items for the specified organizations to be counted in the report. (Only available for organization groups)

group_by
list["organization" | "queue" | "month" | "week"]

List of attributes by which the results are to be grouped. Only a single value is supported. Note that 'organization' is only available for organization groups.

order_by
list["billable_pages" | "billable_documents" | "non_billable_pages" | "non_billable_documents"]

List of attributes by which the results are to be ordered.

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[object]
begin_date
string (date)

Begin date of the billing period.

end_date
string (date)

End date of the billing period.

organization
URL

Organization URL.

organization_group
URL

Organization group URL. (Only present for organization groups)

queue
URL

Queue URL (null for historically deleted queues).

values
object

Billing values for a specific period or grouping.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

is_current
boolean

Whether this is the current billing period.

totals
billing_history_totals

Total billing values across all periods or groupings.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

updated_at
string (date)

Date when the billing stats were last updated.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve queue

GET api / v1 / organization_groups / {organizationGroupID} / queues / {queueID}

Get queue for an organization group object. Returned object contains subset of queue attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/queues/{queueID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/queues/0"
{
  "id": 654,
  "url": "https://example.rossum.app/api/v1/organization_groups/42/queues/654",
  "name": "Received invoices",
  "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321",
  "workspace": "https://example.rossum.app/api/v1/organization_groups/42/workspaces/12"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
integer

ID of the queue.

url
URL

Membership URL of the queue.

name
string

Name of the queue.

organization
URL

Membership URL of the organization.

workspace
URL

Membership URL of the workspace.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve user

GET api / v1 / organization_groups / {organizationGroupID} / users / {userID}

Get user for an organization group object. Returned object contains subset of user attributes.

The endpoint provides read-only view for users with the organization_group_admin role for managing memberships.

GET
/api/v1/organization_groups/{organizationGroupID}/users/{userID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/users/10775"
{
  "id": 123456,
  "url": "https://example.rossum.app/api/v1/organization_groups/42/users/123456",
  "email": "john-doe@east-west-trading.com",
  "username": "JohnDoe",
  "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/321"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
integer

ID of the user.

url
URL

Membership URL of the user.

email
string (email)

Email of the user.

username
string

Username of a user.

organization
URL

Related organization.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve workspace

GET api / v1 / organization_groups / {organizationGroupID} / workspaces / {workspaceID}

Get workspace for an organization group object. Returned object contains subset of workspace attributes.

Please note that direct access to the API requires you to login using Rossum credentials. User must have organization_group_admin role.

GET
/api/v1/organization_groups/{organizationGroupID}/workspaces/{workspaceID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/workspaces/0"
{
  "id": 345,
  "url": "https://example.rossum.app/api/v1/organization_groups/42/workspaces/345",
  "name": "East West Trading Co",
  "organization": "https://example.rossum.app/api/v1/organization_groups/42/organizations/123",
  "queues": [
    "https://example.rossum.app/api/v1/organization_groups/42/queues/1",
    "https://example.rossum.app/api/v1/organization_groups/42/queues/2"
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
integer

ID of the workspace.

url
URL

Membership URL of the workspace.

name
string

Name of the workspace.

organization
URL

Membership URL of the organization.

queues
list[URL]

Membership URLs of the queues.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error